Subject: Re: [PATCH v3 0/2] fetch --prune performance problem

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Jul 2025 18:47:55 -0700

Junio C Hamano <[email-masked]> writes:

> Phil Hord <[email-masked]> writes:
>
>> This version (V3) has three changes from V2:
>>  - Removes a header declaration I forgot to move previously
>>  - Cleans up the refs_warn_dangling_symrefs API to be more sane
>>  - Drops the ref shortening that seems ill-advised in retrospect
>>
>> Phil Hord (2):
>>   refs: remove old refs_warn_dangling_symref
>>   clean up interface for refs_warn_dangling_symrefs
>
> Hmph.  On top of which commit did you base these two patches?
> The second one does not apply on top of applying 1/2 on top of
> either v2.48.1 (where I queued the last round), v2.50.0 (the obvious
> choice for a new development), or 'master'.
>
> $ git am -s <patch-2-of-2.txt
> error: patch failed: builtin/fetch.c:1384
> error: builtin/fetch.c: patch does not apply
> error: patch failed: builtin/remote.c:1521
> error: builtin/remote.c: patch does not apply
> error: patch failed: refs.c:458
> error: refs.c: patch does not apply
>
> Thanks.

Ah, nevermind.  I'll discard your v3 and will take a look at your v4
instead later.